xgboost

Public Member Functions | List of all members
xgboost::common::AFTLoss Class Reference

The AFT loss function. More...

`#include <survival_util.h>`

Collaboration diagram for xgboost::common::AFTLoss:

## Public Member Functions
| AFTLoss (ProbabilityDistributionType dist_type)
| Constructor for AFT loss function. More...
double | Loss (double y_lower, double y_upper, double y_pred, double sigma)
| Compute the AFT loss. More...
double | Gradient (double y_lower, double y_upper, double y_pred, double sigma)
| Compute the gradient of the AFT loss. More...
double | Hessian (double y_lower, double y_upper, double y_pred, double sigma)
| Compute the hessian of the AFT loss. More...

## Detailed Description

The AFT loss function.

## Constructor & Destructor Documentation

## ◆ AFTLoss()

xgboost::common::AFTLoss::AFTLoss | ( | ProbabilityDistributionType | dist_type | ) |
| inline explicit

Constructor for AFT loss function.

Parameters

  dist_type | Choice of probability distribution for the noise term in AFT

## Member Function Documentation

## ◆ Gradient()

double xgboost::common::AFTLoss::Gradient | ( | double | y_lower,
|  | double | y_upper,
|  | double | y_pred,
|  | double | sigma
| ) |  |

Compute the gradient of the AFT loss.

Parameters

  y_lower | Lower bound for the true label
  y_upper | Upper bound for the true label
  y_pred | Predicted label
  sigma | Scaling factor to be applied to the distribution of the noise term

## ◆ Hessian()

double xgboost::common::AFTLoss::Hessian | ( | double | y_lower,
|  | double | y_upper,
|  | double | y_pred,
|  | double | sigma
| ) |  |

Compute the hessian of the AFT loss.

Parameters

  y_lower | Lower bound for the true label
  y_upper | Upper bound for the true label
  y_pred | Predicted label
  sigma | Scaling factor to be applied to the distribution of the noise term

## ◆ Loss()

double xgboost::common::AFTLoss::Loss | ( | double | y_lower,
|  | double | y_upper,
|  | double | y_pred,
|  | double | sigma
| ) |  |

Compute the AFT loss.

Parameters

  y_lower | Lower bound for the true label
  y_upper | Upper bound for the true label
  y_pred | Predicted label
  sigma | Scaling factor to be applied to the distribution of the noise term

The documentation for this class was generated from the following file:

- /workspace/src/common/survival_util.h